import * as sq3 from "sqlite3";
export declare class Sqlite3Plus {
    readonly db: sq3.Database;
    constructor(db: sq3.Database);
    static open: (filename: string) => Promise<Sqlite3Plus>;
    close: () => Promise<void>;
    query: <R extends {}>(statement: string, params?: any[] | undefined) => Promise<R[]>;
    run: (statement: string, params?: any[] | undefined) => Promise<{
        lastId: number;
        changes: number;
    }>;
    exec: (sql: string) => Promise<void>;
}
